package com.bonus.canteen.core.supermarket.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class SupermarketInfoPageDTO {
   @ApiModelProperty("每页显示条数")
   private Long size;
   @ApiModelProperty("当前页")
   private Long current;
   @ApiModelProperty("超市名称")
   private String supermarketName;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("区域id")
   private List<Long> areaIdList;

   public Long getSize() {
      return this.size;
   }

   public Long getCurrent() {
      return this.current;
   }

   public String getSupermarketName() {
      return this.supermarketName;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public void setSize(final Long size) {
      this.size = size;
   }

   public void setCurrent(final Long current) {
      this.current = current;
   }

   public void setSupermarketName(final String supermarketName) {
      this.supermarketName = supermarketName;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

}
